Demonstration of the bug described in:
https://esp32.com/viewtopic.php?f=2&t=5183&sid=72c947b38753e180938533c101e27200

In menuconfig set the SSID and password for the two networks.

The first should be a known good network that you know the password to.
Use the network SSID and an INCORRECT password.

The second should be an unknown network and the password doesn't matter.

Flash to a dev board and monitor. Within a few seconds I see:

```
I (346) cpu_start: Pro cpu start user code
I (28) cpu_start: Starting scheduler on PRO CPU.
I (0) cpu_start: Starting scheduler on APP CPU.
I (171) wifi: wifi firmware version: c202b34
I (171) wifi: config NVS flash: enabled
I (171) wifi: config nano formating: disabled
I (171) system_api: Base MAC address is not set, read default base MAC address from BLK0 of EFUSE
I (181) system_api: Base MAC address is not set, read default base MAC address from BLK0 of EFUSE
I (211) wifi: Init dynamic tx buffer num: 32
I (211) wifi: Init data frame dynamic rx buffer num: 32
I (211) wifi: Init management frame dynamic rx buffer num: 32
I (211) wifi: wifi driver task: 3ffc0360, prio:23, stack:4096
I (221) wifi: Init static rx buffer num: 10
I (221) wifi: Init dynamic rx buffer num: 32
I (231) wifi: wifi power manager task: 0x3ffc4fa0 prio: 21 stack: 2560
I (311) phy: phy_version: 383.0, 79a622c, Jan 30 2018, 15:38:06, 0, 0
I (311) wifi: mode : sta (24:0a:c4:09:8c:d0)
I (311) simple wifi: SYSTEM_EVENT_STA_START
I (311) simple wifi: Wait for disconnect.
I (321) simple wifi: Connect to FireBoardLabs5G.
I (1321) simple wifi: Wait for disconnect.
I (1651) simple wifi: SYSTEM_EVENT_STA_DISCONNECTED: "FireBoardLabs5G"
I (1651) simple wifi: Connect to test.
I (2661) simple wifi: Wait for disconnect.
I (2911) wifi: ap_loss

We are now deadlocked, waiting for a SYSTEM_EVENT_STA_DISCONNECTED that never comes.
```

The test proceeds thusly:

1. Setup WiFi in standard STA configuration.
2. Setup an event group with connected and disconnected bits, and set the disconnected bit.
3. Enter a loop where we:
	1. Wait for the disconnected bit to be set.
	2. Clear the disconnected bit.
	3. Attempt to connect to the next network.
	4. Loop

The idea is that this would be part of a task that keeps WiFi alive. When the disconnected
bit is set, we attempt to connect to the next network in the list. The disconnected bit
should be set by the event handler, but in this specific case it is not.

The case, as far as I can tell, consists of attempting to connect to an unknown network
directly after trying to connect to a known network with the wrong password.


